# -*- coding: utf-8 -*-

import datetime
import pdb

import click

from em_celery import logger, init_db, get_config
from em_tasks.utils.shipstation_shipments_syncer import ShipstationShipmentsSyncer
from em_tasks.store.models import *


@click.command('Sync Shipstation shipments back')
@click.option('-d', '--days', type=int, default=14)
def sync_shipments(days=14):
  init_db()

  cfg = get_config()
  ss_cfg = cfg['shipstation']

  syncer = ShipstationShipmentsSyncer(ss_cfg['api_key'], ss_cfg['api_secret'], days)
  syncer.run()


if __name__ == "__main__":
  sync_shipments()
